Bug 134463 - epoll syscall parameters not decoded
Summary: epoll syscall parameters not decoded
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-03 07:19 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 22:20:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to decode epoll parameters (3.58 KB, patch)
2004-10-03 07:19 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Ulrich Drepper 2004-10-03 07:19:07 UTC
Description of problem:
epoll support is currently restricted to printing the printing the
syscall names.  The parameters are not decoded.

Version-Release number of selected component (if applicable):
strace-4.5.7-2

How reproducible:
Always

Steps to Reproduce:
1.run code using epoll
2.
3.
  
Actual results:
[pid 24473] epoll_ctl(0xa, 0x1, 0x9, 0xfeec32a4) = 0


Expected results:
[pid 24462] epoll_ctl(10, EPOLL_CTL_DEL, 11, {0, {u32=0, u64=0}}) = 0


Additional info:
I'll attach a patch.

Comment 1 Ulrich Drepper 2004-10-03 07:19:51 UTC
Created attachment 104675 [details]
Patch to decode epoll parameters

Comment 2 Roland McGrath 2004-10-06 22:20:21 UTC
Patch is in upstream.

Comment 3 Tim Powers 2005-05-19 21:10:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.